# Mod the Gungeon API
A plugin for BepInEx that adds some of Mod the Gungeon's functionality and also adds backwards compatibility for modders who want to port to BepInEx

# [Installation (Manual)](https://github.com/SpecialAPI/ModTheGungeonAPI/wiki/BepInEx---Mod-the-Gungeon-installation-guide)
# [Porting your mod to BepInEx](https://github.com/SpecialAPI/ModTheGungeonAPI/wiki/Updating-your-Gungeon-mod-to-BepInEx)
# [BepInEx Example Mod (Plain)](https://github.com/SpecialAPI/ModTheGungeonAPI/releases/download/v1.2.0/BepInExExampleMod.zip)
# [BepInEx Example Mod (Items)](https://github.com/SpecialAPI/ModTheGungeonAPI/releases/download/v1.2.0/BepInExExampleModItems.zip)
# [Publicized and Stripped Assembly-CSharp.dll](https://github.com/SpecialAPI/ModTheGungeonAPI/releases/download/v1.2.0/Assembly-CSharp.dll)
# [GitHub Repository](https://github.com/SpecialAPI/ModTheGungeonAPI)

# Credits:
 * SpecialAPI - main developer.
 * An3s - initial console + debug log port.
 * KyleTheScientist - base MTG example mod zips.

# Changelog:
 * 1.2.1: updated links, added credits section, restructured the page a little and added a dependency on BepInEx Pack.
 * 1.2.0: fixed the debug clear command, improved the console clear command and added a new debug key that clears all of the debug log, even errors.
 * 1.1.3: hopefully fixed the Newtonsoft.Json issue
 * 1.1.2: updated the plugin version so that it displays correctly in the title screen.
 * 1.1.1: fixed the thumbnail to actually display the correct version.
 * 1.1.0: big update, be sure to uninstall BepInEx and reinstall it following the updated installation guide.
 * 1.0.1: fixed TextureMap being removed
 * 1.0.0: release